import { type RouteConfig, route } from "@react-router/dev/routes";

export default [
  route("login", "routes/login.tsx"),
  route("dashboard", "routes/dashboard.tsx"),
  route("dashboard/project-management", "routes/project-management.tsx"),
  route(
    "dashboard/innovation-basket/process-innovation",
    "routes/innovation-basket.process-innovation.tsx"
  ),
   route(
    "dashboard/innovation-basket/product-innovation",
    "routes/innovation-basket.product-innovation.tsx"
  ),
  route(
    "dashboard/innovation-basket/green-innovation",
    "routes/green-innovation.tsx"
  ),
  route(
    "/dashboard/innovation-basket/internal-innovation",
    "routes/innovation-built-insider-page.tsx"
  ),
  route(
    "/dashboard/innovation-basket/digital-innovation",
    "routes/digital-innovation-page.tsx"
  ),
  route("dashboard/ecosystem", "routes/ecosystem.tsx"),
  route("dashboard/manage-ideas-tech", "routes/manage-ideas-tech-page.tsx"),
  route("404", "routes/404.tsx"),
  route("unauthorized", "routes/unauthorized.tsx"),
  route("*", "routes/$.tsx"), // Catch-all route for 404s
] satisfies RouteConfig;
